# You can override the included template(s) by including variable overrides
# SAST customization: https://docs.gitlab.com/ee/user/application_security/sast/#customizing-the-sast-settings
# Secret Detection customization: https://docs.gitlab.com/ee/user/application_security/secret_detection/#customizing-settings
# Dependency Scanning customization: https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#customizing-the-dependency-scanning-settings
# Note that environment variables can be set in several places
# See https://docs.gitlab.com/ee/ci/variables/#cicd-variable-precedence
stages:
- build

fedora-rpm:
  stage: build
  image: fedora:34
  script:
    - dnf update -y --refresh
    - dnf install -y dnf-plugins-core rpmdevtools
    - mkdir -p /root/rpmbuild
    - ln -s `pwd` /root/rpmbuild/SOURCES
    - dnf builddep -y --spec fastclick.spec
    - rpmbuild -vv -ba fastclick.spec
    - mkdir -p build
    - cp -r /root/rpmbuild/RPMS build/
  artifacts:
    paths:
      - "build/RPMS/**/*.rpm"
  tags:
    - merge
    - docker
